Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class DefaultCommandLine2StartParameterConverter

    java.lang.Object
      org.gradle.DefaultCommandLine2StartParameterConverter

All Implemented Interfaces:
  CommandLine2StartParameterConverter

    public class DefaultCommandLine2StartParameterConverter

extends java.lang.Object
implements CommandLine2StartParameterConverter

Field Summary
`static java.lang.String` | `DEBUG`
`static java.lang.String` | `FULL_STACKTRACE`
`static java.lang.String` | `GRADLE_HOME_PROPERTY_KEY`
`static java.lang.String` | `INFO`
`static java.lang.String` | `INIT_SCRIPT`
`static java.lang.String` | `QUIET`
`static java.lang.String` | `STACKTRACE`
`static java.lang.String` | `TASKS`

Constructor Summary
`DefaultCommandLine2StartParameterConverter()`

Method Summary
`StartParameter` | `convert(java.lang.String[] args)`
`void` | `convert(java.lang.String[] args, StartParameter startParameter)`
`LogLevel` | `getLogLevel(java.lang.String commandLineArgument)`
`java.lang.String` | `getLogLevelCommandLine(LogLevel logLevel)`
`java.util.Collection<LogLevel>` | `getLogLevels()`
`java.util.Collection<StartParameter.ShowStacktrace>` | `getShowStacktrace()`
`StartParameter.ShowStacktrace` | `getShowStacktrace(java.lang.String commandLineArgument)`
`java.lang.String` | `getShowStacktraceCommandLine(StartParameter.ShowStacktrace showStacktrace)`
`void` | `showHelp(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRADLE_HOME_PROPERTY_KEY

    public static final java.lang.String GRADLE_HOME_PROPERTY_KEY

See Also:
  Constant Field Values

### INIT_SCRIPT

    public static final java.lang.String INIT_SCRIPT

See Also:
  Constant Field Values

### TASKS

    public static final java.lang.String TASKS

See Also:
  Constant Field Values

### DEBUG

    public static final java.lang.String DEBUG

See Also:
  Constant Field Values

### INFO

    public static final java.lang.String INFO

See Also:
  Constant Field Values

### QUIET

    public static final java.lang.String QUIET

See Also:
  Constant Field Values

### FULL_STACKTRACE

    public static final java.lang.String FULL_STACKTRACE

See Also:
  Constant Field Values

### STACKTRACE

    public static final java.lang.String STACKTRACE

See Also:
  Constant Field Values

Constructor Detail

### DefaultCommandLine2StartParameterConverter

    public DefaultCommandLine2StartParameterConverter()

Method Detail

### convert

    public StartParameter convert(java.lang.String[] args)

  Specified by:
    `convert` in interface `CommandLine2StartParameterConverter`

### convert

    public void convert(java.lang.String[] args,
                        StartParameter startParameter)

  Specified by:
    `convert` in interface `CommandLine2StartParameterConverter`

### showHelp

    public void showHelp(java.io.OutputStream out)

  Specified by:
    `showHelp` in interface `CommandLine2StartParameterConverter`

### getLogLevel

    public LogLevel getLogLevel(java.lang.String commandLineArgument)

### getLogLevelCommandLine

    public java.lang.String getLogLevelCommandLine(LogLevel logLevel)

### getLogLevels

    public java.util.Collection<LogLevel> getLogLevels()

### getShowStacktrace

    public StartParameter.ShowStacktrace getShowStacktrace(java.lang.String commandLineArgument)

### getShowStacktraceCommandLine

    public java.lang.String getShowStacktraceCommandLine(StartParameter.ShowStacktrace showStacktrace)

### getShowStacktrace

    public java.util.Collection<StartParameter.ShowStacktrace> getShowStacktrace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD